| M480 BSP V3.05.001 The Board Support Package for M480 Series

Data Structures | Typedefs | Functions | Variables
USB Host Exported Structures
Library » USB Host Library

## Data Structures
struct | cdc_dev_t
struct | usbhid_dev
struct | usbhid_keyboard_event
struct | usbhid_mouse_event
struct | ac_if_t
struct | as_if_t
struct | uac_dev_t

## Typedefs
typedef struct cdc_dev_t | CDC_DEV_T
typedef HIDDEN_SYMBOLS struct usbhid_dev | HID_DEV_T
typedef struct usbhid_keyboard_event | KEYBOARD_EVENT_T
typedef struct usbhid_mouse_event | MOUSE_EVENT_T
typedef void() | HID_MOUSE_FUNC(struct usbhid_dev *hdev, MOUSE_EVENT_T *mouse)
typedef void() | HID_KEYBOARD_FUNC(struct usbhid_dev *hdev, KEYBOARD_EVENT_T *kbd)
typedef struct ac_if_t | AC_IF_T
typedef struct as_if_t | AS_IF_T
typedef struct uac_dev_t | UAC_DEV_T

## Functions
struct | __attribute__ ((__packed__)) line_coding_t

## Variables
| LINE_CODING_T

## Detailed Description

## Typedef Documentation

## ◆ AC_IF_T

typedef struct ac_if_t AC_IF_T

## ◆ AS_IF_T

typedef struct as_if_t AS_IF_T

## ◆ CDC_DEV_T

typedef struct cdc_dev_t CDC_DEV_T

## ◆ HID_DEV_T

typedef HIDDEN_SYMBOLS struct usbhid_dev HID_DEV_T

HID device structure

## ◆ HID_KEYBOARD_FUNC

typedef void() HID_KEYBOARD_FUNC(struct usbhid_dev *hdev, KEYBOARD_EVENT_T *kbd)

HID keyboard event callback

Definition at line 320 of file usbh_hid.h.

## ◆ HID_MOUSE_FUNC

typedef void() HID_MOUSE_FUNC(struct usbhid_dev *hdev, MOUSE_EVENT_T *mouse)

HID mouse event callback

Definition at line 319 of file usbh_hid.h.

## ◆ KEYBOARD_EVENT_T

typedef struct usbhid_keyboard_event KEYBOARD_EVENT_T

HID device structure

HID mouse information structure

## ◆ MOUSE_EVENT_T

typedef struct usbhid_mouse_event MOUSE_EVENT_T

HID mouse information structure

## ◆ UAC_DEV_T

typedef struct uac_dev_t UAC_DEV_T

## Function Documentation

## ◆ __attribute__()

struct __attribute__ | ( | (__packed__) |  | ) |

Definition at line 163 of file usbh_cdc.h.

## Variable Documentation

## ◆ LINE_CODING_T

LINE_CODING_T

Definition at line 169 of file usbh_cdc.h.